Bug 5806 - JobExecution returned by jobOperator.getJobExecutions(jobInstance) has null parameters
JobExecution returned by jobOperator.getJobExecutions(jobInstance) has null p...
Status: RESOLVED FIXED
Product: jbatch
Classification: Unclassified
Component: RI
1
All All
: P5 normal
: ---
Assigned To: ScottKurz
RI_only
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 19:45 UTC by m_edgar
Modified: 2015-09-01 21:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m_edgar 2014-02-20 19:45:58 UTC
Job parameters on JobExecution objects returned by jobOperator.getJobExecutions(jobInstance) are null. The RI de-serializes the properties from the database in jobOperatorGetJobExecutions(long jobInstanceId), but they are not set on the corresponding JobExecution.
Comment 1 ScottKurz 2014-11-01 01:45:05 UTC
Fixed runtime with test in commit:
https://github.com/WASdev/standards.jsr352.jbatch/commit/9aedb7f72e619685dd3b1e9787374e121b66926f
Comment 2 ScottKurz 2015-09-01 21:00:06 UTC
Fixed in 1.0.1 release.